%global momorel 2
%global srcver 2.0.0
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: KDE4 style and window decoration
Name: polyester
Version: %{srcver}
Release: %{momorel}m%{?dist}
License: LGPLv2
URL: http://www.kde-look.org/content/show.php?content=27968
Group: User Interface/Desktops
Source0: http://www.notmart.org/files/%{name}-%{srcver}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: cmake

%description
A widget style for KDE4 aimed to be a good balance between eyecandy and 
simplicity.

%prep
%setup -q

# fix permission
chmod 644 README style/*.{cpp,h} style/config/polyesterconf.{h,cpp}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_kde4_libdir}/kde4/plugins/styles/libpolyester.so
%{_kde4_libdir}/kde4/libpolyester_config.so
%{_kde4_appsdir}/color-schemes/Polyester*.colors
%{_kde4_appsdir}/kstyle/themes/polyester.themerc
%{_datadir}/locale/*/LC_MESSAGES/kstyle_polyester_config.mo

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.2.5m)
- rebuild against qt-4.6.3-1m

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-0.2.4m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-0.2.3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-0.2.2m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.2.1m)
- update to version 2.0 beta2

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.1.2m)
- rebuild against qt-4.4.0-1m

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.1.1m)
- update to version 2.0 beta1 for KDE4
- remove gcc43.patch

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-5m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.1-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri May 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package for Momonga Linux
